package com.taboolatest.question3;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

class WordsCounterTest {

    @Test
    void getStatusString() {
        WordsCounter wc = new WordsCounter();
        String path = ClassLoader.getSystemResource("question3/").getPath();
        wc.load(path + "File1.txt", path + "File2.txt", path + "File3.txt");

        String expected = """
                and 1
                file 3
                first 1
                is 3
                one 1
                second 1
                the 3
                third 1
                this 3
                                
                ** total: 17
                """.strip();

        assertEquals(expected, wc.getStatusString());

    }

    @Test
    void getStatusString2() {
        WordsCounter wc = new WordsCounter();
        String path = ClassLoader.getSystemResource("question3/").getPath();
        wc.load(path + "F1.txt", path + "F2.txt", path + "F3.txt");

        String expected = """
                A 1
                A, 3
                Above 2
                Above. 2
                Abundantly 5
                After 2
                After. 2
                Air 4
                All 5
                Also 9
                And 4
                And. 1
                Appear 6
                Appear, 1
                Be 6
                Bearing 3
                Bearing, 2
                Bearing. 2
                Beast 5
                Beast, 1
                Beginning 3
                Behold 3
                Behold, 1
                Blessed 4
                Bring 4
                Brought 5
                Brought, 1
                Brought. 1
                But 44
                Called 5
                Called. 2
                Can't 5
                Can't. 1
                Cattle 5
                Cattle, 1
                Cattle. 1
                Created 2
                Created, 1
                Created. 1
                Creature 9
                Creature. 1
                Creepeth 8
                Creepeth. 1
                Creeping 7
                Creeping. 1
                Darkness 5
                Day 6
                Day. 1
                Days 3
                Days. 1
                Deep 1
                Divide 4
                Divide. 2
                Divided 7
                Doesn't 2
                Doesn't. 1
                Dominion 3
                Don't 5
                Dry 4
                Dry. 1
                Earth 5
                Evening. 2
                Every 1
                Every, 2
                Face 5
                Face. 1
                Female 2
                Female. 1
                Fifth 2
                Fifth, 1
                Fifth. 1
                Fill 2
                Firmament 5
                Firmament. 2
                First 5
                First, 1
                Fish 6
                Fly 3
                For 4
                For. 1
                Form 2
                Form. 1
                Forth 7
                Forth. 1
                Fourth 5
                Fowl 8
                Fowl. 1
                From 6
                Fruit 2
                Fruit. 2
                Fruitful 2
                Fruitful, 1
                Gathered 3
                Gathering 3
                Give 4
                Given 4
                God 2
                God. 1
                Good 1
                Grass 6
                Great 4
                Greater 3
                Green 3
                Had 5
                Had, 1
                Hath 2
                Hath. 1
                Have 6
                He 3
                Heaven 3
                Herb 2
                Him 4
                Him, 1
                His 1
                I 35
                Image 9
                In 21
                Is 5
                Isn't 3
                It 3
                Itself 3
                Kind 5
                Land 5
                Land. 2
                Lesser 3
                Let 3
                Let, 2
                Let. 1
                Life 3
                Life, 1
                Light 1
                Lights 6
                Lights, 1
                Likeness 3
                Living 1
                Made 2
                Make 4
                Male 7
                Male. 1
                Man 3
                Man, 1
                May 3
                Meat 4
                Midst 5
                Midst, 1
                Midst. 1
                Morning 6
                Morning. 3
                Moved 10
                Moved, 1
                Moved. 1
                Moveth 2
                Moveth. 1
                Moving 4
                Multiply 5
                Night 5
                No 15
                Nor 15
                Of 6
                On 15
                One 3
                One. 1
                Open 5
                Our 6
                Over 5
                Own 3
                Place 7
                Replenish 5
                Replenish. 2
                Rule 3
                Rule, 1
                Said 5
                Said, 1
                Saw 3
                Saying 6
                Saying. 1
                Sea 4
                Sea. 2
                Seas 4
                Seas. 3
                Seasons 4
                Seasons, 2
                Second 4
                Seed 4
                Set 4
                Set. 1
                Shall 4
                She'd 5
                She'd. 1
                Signs 4
                Sixth 2
                So 5
                Spirit 1
                Spirit. 1
                Stars 5
                Subdue 4
                That 5
                That. 1
                The 20
                Their 2
                Them 6
                Them, 1
                Them. 1
                There 3
                There. 1
                These 15
                They're 7
                Thing 2
                Thing. 1
                Third 4
                Third. 1
                To 22
                Together 2
                Together, 1
                Tree 2
                Two 1
                Under 5
                Unto 3
                Unto. 1
                Upon 2
                Upon, 1
                Us 6
                Us, 1
                Very 3
                Very, 1
                Very. 2
                Void 4
                Void, 1
                Was 3
                Waters 2
                Waters. 1
                Were 3
                Whales 3
                Whales. 1
                Wherein 3
                Which 3
                Whose 1
                Whose. 1
                Winged 5
                Winged. 1
                Without 4
                Without. 1
                Won't 2
                Won't. 1
                Years 3
                Years. 2
                Yielding 2
                Yielding. 1
                You 5
                You'll 6
                You'll. 1
                You're 1
                You. 1
                a 106
                a, 2
                a. 5
                able 14
                above 16
                above, 2
                above. 3
                abundantly 25
                abundantly, 3
                abundantly. 5
                accepted. 14
                account 15
                actual 15
                advantage 15
                after 21
                after, 3
                after. 2
                again 15
                air 33
                air. 4
                all 37
                all, 3
                all. 6
                also 16
                also. 6
                always 14
                and 232
                and. 2
                annoyances 14
                annoying 15
                any 15
                anyone 15
                appear 21
                appear. 7
                are 60
                as 15
                avoid 14
                avoided. 14
                avoids 30
                be 48
                be, 1
                bearing 20
                bearing, 1
                bearing. 1
                beast 24
                beast. 4
                because 60
                beginning 20
                beginning. 4
                beguiled 15
                behold 24
                behold. 3
                being 14
                belongs 15
                best, 14
                blame 15
                blessed 20
                blessed, 2
                blessed. 4
                blinded 15
                born 15
                bound 15
                bring 19
                bring. 4
                brought 22
                brought. 4
                business 14
                but 30
                by 30
                called 23
                called. 1
                can 15
                can't 19
                can't, 2
                can't. 9
                cannot 15
                cases 15
                cattle 16
                cattle, 1
                cattle. 1
                certain 14
                charms 15
                choice 15
                chooses 15
                circumstances 29
                claims 14
                complete 15
                consequences 15
                consequences, 15
                created 24
                created, 1
                created. 2
                creature 20
                creature, 1
                creature. 1
                creepeth 15
                creepeth, 2
                creepeth. 2
                creeping 31
                creeping, 1
                creeping. 5
                darkness 21
                darkness. 3
                day 17
                day. 1
                days 18
                days, 3
                days. 3
                deep 13
                deep. 2
                demoralized 15
                denounce 15
                denouncing 15
                desire, 15
                desires 15
                dislike 15
                dislikes, 15
                distinguish. 15
                divide 29
                divide. 1
                divided 31
                divided. 7
                do 29
                doesn't 16
                doesn't. 2
                dominion 21
                dominion. 6
                don't 35
                don't, 3
                dry 28
                dry, 3
                dry. 5
                duty 29
                earth 20
                earth, 1
                earth. 6
                easy 15
                else 14
                encounter 15
                endures 14
                enjoy 15
                ensue; 15
                equal 15
                evening 16
                evening. 1
                ever 15
                every 50
                every. 5
                example, 15
                except 15
                exercise, 15
                explain 15
                explorer 15
                expound 15
                extremely 15
                face 18
                face. 3
                fail 15
                fault 15
                female 17
                female. 4
                fifth 26
                fifth, 1
                fifth. 5
                fill 17
                fill. 4
                find 15
                firmament 22
                firmament. 4
                first 23
                first, 2
                first. 3
                fish 22
                fish, 1
                fish. 5
                fly 19
                fly, 4
                fly. 6
                for 27
                for, 2
                for. 6
                foresee 15
                form 22
                form, 1
                form. 4
                forth 22
                forth, 2
                forth. 7
                fourth 16
                fourth, 2
                fourth. 5
                fowl 20
                fowl, 3
                fowl. 8
                free 15
                frequently 14
                from 48
                from, 1
                from. 4
                fruit 27
                fruit, 2
                fruit. 4
                fruitful 25
                fruitful, 2
                gathered 17
                gathered, 2
                gathered. 3
                gathering 20
                gathering, 3
                gathering. 6
                give 33
                give, 2
                give. 3
                given 21
                given, 3
                given. 3
                god 20
                god. 8
                good 14
                good, 3
                good. 2
                grass 27
                grass, 1
                great 50
                great, 1
                great. 1
                greater 36
                greater. 4
                green 32
                green, 4
                green. 4
                had 18
                had. 2
                hand, 15
                happiness. 15
                has 30
                hath 23
                hath, 1
                hath. 4
                have 39
                have. 3
                he 54
                he. 4
                heaven 20
                heaven, 2
                heaven. 3
                herb 19
                herb, 2
                herb. 5
                him 38
                him, 2
                him. 7
                his 20
                his, 2
                his. 6
                holds 14
                hour, 15
                how 30
                human 15
                i 23
                i, 1
                i. 3
                idea 15
                image 20
                image, 2
                image. 5
                in 82
                in, 1
                in. 5
                indignation 15
                is 106
                is, 3
                is. 2
                isn't 21
                isn't, 2
                isn't. 4
                it 66
                it. 1
                it? 15
                itself 21
                itself, 30
                itself. 3
                kind 17
                kind, 1
                kind. 4
                know 15
                laborious 15
                land 19
                land, 4
                land. 4
                lesser 21
                lesser. 6
                let 24
                let. 3
                life 21
                life. 5
                light 23
                light, 1
                light. 2
                lights 19
                lights, 1
                lights. 3
                like 14
                likeness 22
                likeness, 2
                likeness. 3
                living 23
                living, 1
                living. 4
                loves 15
                made 23
                made, 2
                made. 4
                make 21
                make. 5
                male 20
                male. 7
                man 53
                man, 1
                man. 5
                master-builder 15
                matters 14
                may 10
                meat 26
                meat, 1
                meat. 5
                men 15
                midst 27
                midst, 1
                midst. 8
                mistaken 15
                moment, 15
                morning 31
                morning. 3
                moved 11
                moved, 1
                moved. 2
                moveth 23
                moveth. 3
                moving 28
                moving, 3
                moving. 3
                multiply 24
                multiply. 7
                must 15
                night 22
                night, 1
                night. 1
                no 30
                not 15
                nothing 14
                obligations 14
                obtain 30
                occasionally 15
                occur 29
                of 235
                of, 1
                of. 4
                one 50
                one, 2
                one. 2
                open 24
                open, 1
                open. 1
                or 88
                other 29
                our 59
                our. 5
                over 19
                over, 1
                over. 3
                owing 14
                own 19
                own, 2
                own. 6
                pain 89
                pain, 15
                pain. 15
                painful. 15
                pains 14
                pains. 14
                perfectly 15
                physical 15
                place 25
                place, 1
                place. 2
                pleasure 89
                pleasure, 15
                pleasure. 15
                pleasure? 15
                pleasures 28
                pleasures, 14
                power 15
                praising 15
                prevents 14
                principle 14
                procure 15
                produces 15
                pursue 15
                pursues 15
                rationally 15
                rejects 14
                rejects, 15
                replenish 21
                replenish, 1
                replenish. 6
                repudiated 14
                resultant 15
                right 15
                righteous 15
                rule 23
                rule, 3
                rule. 2
                said 21
                said. 4
                same 15
                saw 26
                saw, 1
                saw. 2
                saying 43
                saying, 1
                saying. 4
                sea 25
                sea, 1
                sea. 3
                seas 18
                seas, 1
                seas. 2
                seasons 21
                seasons. 1
                second 25
                second. 4
                secure 14
                seed 19
                seed, 1
                seed. 5
                selection: 14
                set 22
                set, 1
                set. 4
                shall 23
                shall, 3
                shall. 1
                she'd 22
                she'd, 4
                she'd. 1
                shrinking 15
                signs 24
                signs, 2
                signs. 3
                simple 15
                sixth 21
                sixth, 1
                sixth. 1
                so 51
                so, 1
                so. 3
                some 30
                spirit 26
                spirit. 4
                stars 25
                stars, 3
                stars. 6
                stupid 1
                subdue 24
                subdue, 5
                subdue. 4
                system, 15
                take 15
                teachings 15
                that 109
                that, 2
                that. 4
                the 198
                the. 8
                their 31
                their. 2
                them 23
                them, 3
                them. 7
                there 40
                there, 1
                there. 3
                therefore 14
                these 14
                they 15
                they're 25
                they're, 2
                they're. 3
                thing 23
                thing. 2
                third 22
                third, 2
                third. 3
                this 29
                those 30
                through 30
                to 257
                to, 1
                to. 1
                together 28
                together. 5
                toil 30
                tree 20
                tree, 2
                tree. 3
                trivial 15
                trouble 15
                truth, 15
                two 18
                two. 2
                under 30
                under. 4
                undertakes 15
                unto 25
                unto. 7
                untrammelled 14
                upon 20
                upon, 3
                upon. 3
                us 48
                us. 1
                very 18
                very, 2
                very. 1
                void 16
                void. 4
                was 43
                was. 3
                waters 23
                waters, 1
                waters. 5
                we 29
                weakness 15
                welcomed 14
                were 17
                were, 2
                were. 1
                whales 12
                whales, 1
                whales. 3
                what 14
                when 29
                wherein 20
                wherein. 3
                which 69
                which, 1
                which. 6
                who 105
                whose 31
                whose, 3
                whose. 3
                will 29
                will, 15
                winged 27
                winged, 2
                winged. 3
                wise 14
                with 30
                without 21
                without. 4
                won't 25
                won't, 1
                won't. 2
                worse 14
                years 23
                years. 5
                yielding 17
                yielding, 3
                yielding. 5
                you 53
                you'll 21
                you'll, 1
                you'll. 2
                you're 13
                you're, 6
                you're. 4
                you, 1
                you. 4
                
                ** total: 10001
                """.strip();

        assertEquals(expected, wc.getStatusString());

    }
}